BearSSL

Data Fields
br_rsa_public_key Struct Reference

RSA public key. More...

`#include <bearssl_rsa.h>`

## Data Fields
unsigned char * | n
| Modulus. More...
size_t | nlen
| Modulus length (in bytes). More...
unsigned char * | e
| Public exponent. More...
size_t | elen
| Public exponent length (in bytes). More...

## Detailed Description

RSA public key.

The structure references the modulus and the public exponent. Both integers use unsigned big-endian representation; extra leading bytes of value 0 are allowed.

## Field Documentation

## ◆ e

unsigned char* br_rsa_public_key::e

Public exponent.

## ◆ elen

size_t br_rsa_public_key::elen

Public exponent length (in bytes).

## ◆ n

unsigned char* br_rsa_public_key::n

Modulus.

## ◆ nlen

size_t br_rsa_public_key::nlen

Modulus length (in bytes).

The documentation for this struct was generated from the following file:

- bearssl_rsa.h